Package ru.bitel.bgbilling.plugins.cashcheck.server.task

# Class AdvancePayments

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.plugins.cashcheck.server.task.AdvancePayments

All Implemented Interfaces:
  `java.lang.Runnable`

    public class AdvancePayments
    extends ru.bitel.bgbilling.kernel.task.server.TaskBase

Задача обработки для "зачётов авансов". Для схемы фискализации двухэтапной. По дефолту обрабатывает предыдущий месяц. Обычно обрабатываются все договоры имеющие движения баланса в указанный месяц (см. contract_balance) Используется дин.код, который умеет гибко печатать как на каждый договор, так и группировать в один чек, например, по разным ККТ итд. Сама задача вызывает метод makeCheckAdvancePayments, который формирует последовательность чеков и через колбек они печатаются в этой задаче.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, log, moduleId, setup, STATUS_FINISHED, STATUS_FINISHED_INTERRUPTED, STATUS_NOTSTARTED, STATUS_WORKING, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AdvancePayments()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |
  `protected boolean` | `initTask()` |
  `protected void` | `process​(java.sql.Connection con, java.sql.Connection conSlave)` |
  `protected void` | `process_old​(java.sql.Connection con, java.sql.Connection conSlave)` |
  `void` | `setManual​(java.time.LocalDate month, java.util.List<java.lang.Integer> contractsIds)` | настройки для ручного запуска

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getFinishTime, getModuleId, getOperatingTime, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, startTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdvancePayments

    public AdvancePayments()

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### setManual

    public void setManual​(java.time.LocalDate month, java.util.List<java.lang.Integer> contractsIds)
    настройки для ручного запуска

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### process

    protected void process​(java.sql.Connection con, java.sql.Connection conSlave) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### process_old

    protected void process_old​(java.sql.Connection con, java.sql.Connection conSlave) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`